libzypp 17.37.10

zyppng::MediaSyncFacade::Res Class Reference

`#include <zypp/ng/workflows/mediafacade.h>`

## Public Member Functions
| Res (MediaHandle hdl, zypp::ManagedFile file)
const zypp::Pathname | file () const
const zypp::ManagedFile & | asManagedFile () const

## Private Attributes
zypp::ManagedFile | _res
MediaHandle | _provideHandle

## Detailed Description

Definition at line 58 of file mediafacade.h.

## Constructor & Destructor Documentation

## ◆ Res()

zyppng::MediaSyncFacade::Res::Res | ( | MediaHandle | hdl,
|  | zypp::ManagedFile | file )

Definition at line 145 of file mediafacade.cc.

## Member Function Documentation

## ◆ file()

const zypp::Pathname zyppng::MediaSyncFacade::Res::file | ( |  | ) | const

Returns the path to the provided file

Definition at line 150 of file mediafacade.cc.

## ◆ asManagedFile()

const zypp::ManagedFile & zyppng::MediaSyncFacade::Res::asManagedFile | ( |  | ) | const
| inline

Returns a reference to the internally used managed file instance.

Note
  If you obtain this for a file that is inside the providers working directory ( e.g. a provide result for a download ), the continued use after the Provide instance was relased is undefined behaviour and not supported!

Definition at line 73 of file mediafacade.h.

## Member Data Documentation

## ◆ _res

zypp::ManagedFile zyppng::MediaSyncFacade::Res::_res
| private

Definition at line 78 of file mediafacade.h.

## ◆ _provideHandle

MediaHandle zyppng::MediaSyncFacade::Res::_provideHandle
| private

Definition at line 79 of file mediafacade.h.

The documentation for this class was generated from the following files:

- zypp/ng/workflows/mediafacade.h
- zypp/ng/workflows/mediafacade.cc